### CONV-READ

#### Synopsis

    HELP:   Read conversion string for FLUC byte, stream and record interfaces
    TYPE:   OVERLAY
    SYNTAX: > flcbyt CONV-READ.{BINARY()/STRING()/INTEGER()/FLOAT()}

#### Description

The READ overlay for an element data conversion allows to choose a type specific conversion when writing. It specifies how the data is read from application memory and converted into a neutral FLAM5 data type.

With 'format.element()', you can use a set of functions with names ending with the letter v in the byte and record interface. These functions accept an additional conversion handle as parameter to replace the default conversion (e.g. a simple copy) from or to the application memory by an individual conversion. You can open an unlimited number of converters to apply different conversions to different elements.

The currently supported data types and conversions are explained in a dedicated chapter.